> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/code-snippets/custom-permalink-slug-issue.md).

# Custom Permalink - Slug Issue

Custom permalink structure may lead to a custom slug being added to each job page. For example, if you are using this structure: `/blog/%postname%/`, it may lead to `/blog` being prefixed to the job page's slug. Since this is not the expected result, you can use the below code snippet to change it.

```php
function awsm_job_openings_custom_args( $args ) {
	$args['rewrite']['with_front'] = false;
	return $args;
}
add_filter( 'awsm_job_openings_args', 'awsm_job_openings_custom_args', 11 );
```

**Note:** After adding the code, please go to WordPress Settings > Permalinks and click Save Changes.

{% hint style="info" %}
[**How to Easily Add Custom Code to Your WordPress Websites**](https://wp-content.co/add-custom-code-to-your-wordpress-websites/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/code-snippets/custom-permalink-slug-issue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
